Bug 504945 - missing option for FAS user name
missing option for FAS user name
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 03:19 EDT by Marcela Mašláňová
Modified: 2016-09-19 22:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 19:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-06-10 03:19:03 EDT
Description of problem:
Bodhi can't be used from command line in case the user has different username than the FAS account name.

Version-Release number of selected component (if applicable):
bodhi-client-0.5.19

How reproducible:
Log in with user name different from FAS account name
bodhi -n perl-5.10.0-69.fc11 -b 504386,221113 -t security

Actual results:
There's no option for changing user under which are sent updates.

Expected results:
There would be new option which allows user send update. For example:
bodhi -n perl-5.10.0-69.fc11 -b 504386,221113 -t security -u my_FAS_account
Comment 1 Bug Zapper 2009-11-16 05:02:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Luke Macken 2010-06-30 19:48:02 EDT
The bodhi client has always had a --username option:

$ bodhi --help

  -u USERNAME, --username=USERNAME
                        Login username for bodhi

Note You need to log in before you can comment on or make changes to this bug.